Index: branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLab.ALGLIB-3.1.0.csproj
===================================================================
--- branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLab.ALGLIB-3.1.0.csproj	(revision 6832)
+++ branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLab.ALGLIB-3.1.0.csproj	(revision 6833)
@@ -107,5 +107,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="HeuristicLabALGLIBPlugin.cs" />
+    <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
@@ -114,14 +114,16 @@
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\ALGLIB-3.1.0\ALGLIB-3.1.0.csproj">
       <Project>{FC841674-62A7-4055-BE91-E41944B6C606}</Project>
       <Name>ALGLIB-3.1.0</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
-    <None Include="HeuristicLabALGLIBPlugin.cs.frame" />
-    <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
   <ItemGroup>
@@ -162,5 +164,5 @@
 
 call PreBuildEvent.cmd
-SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabALGLIBPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabALGLIBPlugin.cs"</PreBuildEvent>
+</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLabALGLIBPlugin.cs.frame
===================================================================
--- branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLabALGLIBPlugin.cs.frame	(revision 6832)
+++ 	(revision )
@@ -1,35 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.ALGLIB {
-  [Plugin("HeuristicLab.ALGLIB","HeuristicLab wrapper for ALGLIB® - numerical analysis library","3.1.0.$WCREV$")]  
-  [PluginFile("HeuristicLab.ALGLIB-3.1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("ALGLIB-3.1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("ALGLIB License-3.1.0.txt", PluginFileType.License)]
-  public class HeuristicLabAlgLibPlugin : PluginBase {
-  }
-}
Index: branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Plugin.cs.frame
===================================================================
--- branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Plugin.cs.frame	(revision 6833)
+++ branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Plugin.cs.frame	(revision 6833)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.ALGLIB {
+  [Plugin("HeuristicLab.ALGLIB","HeuristicLab wrapper for ALGLIB® - numerical analysis library","3.1.0.$WCREV$")]  
+  [PluginFile("HeuristicLab.ALGLIB-3.1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("ALGLIB-3.1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("ALGLIB License-3.1.0.txt", PluginFileType.License)]
+  public class HeuristicLabAlgLibPlugin : PluginBase {
+  }
+}
Index: branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Properties/AssemblyInfo.cs.frame	(revision 6833)
+++ branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Properties/AssemblyInfo.cs.frame	(revision 6833)
@@ -0,0 +1,37 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.ALGLIB")]
+[assembly: AssemblyDescription("Provides an interface to ALGLIB")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("41A08281-840F-461E-ADF1-BC0B97880325")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.1.0")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
Index: branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Properties/AssemblyInfo.frame
===================================================================
--- branches/Trunk/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/Properties/AssemblyInfo.frame	(revision 6832)
+++ 	(revision )
@@ -1,37 +1,0 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-using HeuristicLab.PluginInfrastructure;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.ALGLIB")]
-[assembly: AssemblyDescription("Provides an interface to ALGLIB")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("41A08281-840F-461E-ADF1-BC0B97880325")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Build and Revision Numbers 
-// by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.1.0")]
-[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
